package TVListings::ConfigEZN;

use strict;
use warnings;

use base qw/Exporter/;
our @EXPORT = qw/pagehead pagehead_mini pagefoot pagefoot_mini pagefilter/;

use EZNode::Render;

sub pagehead($$$) {
	my ($r, $q, $title) = @_;
	my $csslist = join(' ', map {TVListings::Config::CSSBASE() . "/$_"}
	  TVListings::Config::CSSLIST());
	return qq{<widget id=header title="$title" }
		. qq{stylesheets="$csslist" }
		. qq{doctype="xhtml10_strict">\n}
		. qq{<widget id=pagetop pagehead="$title" cdivid="smallmargin">\n}
		. TVListings::Config::searchinsert($r, $q);
}

sub pagehead_mini($$$) {
	my ($r, $q, $title) = @_;
	my $csslist = join(' ', map {TVListings::Config::CSSBASE() . "/$_"}
	  TVListings::Config::CSSLIST());
	return qq{<widget id=header title="$title" }
		. qq{stylesheets="$csslist" doctype="xhtml10_strict">\n}
		. qq{<widget id=pagetop mini=1 pagehead="$title" cdivid="smallmargin">\n};
}

sub pagefoot($$) {
	my ($r, $q) = @_;
	return TVListings::Config::searchinsert($r, $q)
		. qq{\n<widget id=footer w3cok=yes dynpage=yes>\n};
}

sub pagefoot_mini($$) {
	my ($r, $q) = @_;
	return qq{\n<widget id=footer w3cok=yes dynpage=yes mini=1>\n};
}

sub pagefilter($$$) {
	my ($r, $q, $pagedata) = @_;
	return EZNode::Render::render($pagedata);
}

1;
